#include <iostream>
#include <string>

using namespace std;

int main()
{
    string s;
    getline(cin, s);
    int prvo = s.find("b"), drugo = s.find("b",s.find("b")+1);
    int n = s.size();
    if (prvo+drugo+1 == n){
        cout<<1;
    }else{
        if (n%2==0){
            if (prvo < n/2 && drugo < n/2){
                cout<<n/2-prvo+n/2-drugo;
            }else{
                if (prvo > n/2-1 && drugo > n/2-1){
                    cout<<prvo-n/2+1+drugo-n/2+1;
                }else{
                    cout<<abs((n/2-prvo)-(drugo-n/2+1))+1;
                }
            }
        }else{
            if (prvo < n/2 && drugo < n/2){
                cout<<n/2-prvo+n/2-drugo+1;
            }else{
                if (prvo > n/2 && drugo > n/2){
                    cout<<prvo-n/2+drugo-n/2+1;
                }else{
                    cout<<abs((n/2-prvo)-(drugo-n/2))+1;
                }
            }
        }
    }
}